/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import * as tslib_1 from "tslib";
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { RelativeStrengthIndexIndicatorStrategy } from "./RelativeStrengthIndexIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core/ES5/type";
var RelativeStrengthIndexIndicator = /** @class */ (function (_super) {
    tslib_1.__extends(RelativeStrengthIndexIndicator, _super);
    function RelativeStrengthIndexIndicator() {
        var _this = _super.call(this) || this;
        _this.pb = 1;
        return _this;
    }
    RelativeStrengthIndexIndicator.prototype.get_p3 = function () {
        return new RelativeStrengthIndexIndicatorStrategy();
    };
    Object.defineProperty(RelativeStrengthIndexIndicator.prototype, "p3", {
        get: function () {
            return this.get_p3();
        },
        enumerable: true,
        configurable: true
    });
    RelativeStrengthIndexIndicator.prototype.get_qg = function () {
        return RelativeStrengthIndexIndicator.$;
    };
    Object.defineProperty(RelativeStrengthIndexIndicator.prototype, "qg", {
        get: function () {
            return this.get_qg();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(RelativeStrengthIndexIndicator.prototype, "qo", {
        get: function () {
            return typeGetValue(this.c(RelativeStrengthIndexIndicator.qp));
        },
        set: function (a) {
            this.h(RelativeStrengthIndexIndicator.qp, a);
        },
        enumerable: true,
        configurable: true
    });
    RelativeStrengthIndexIndicator.prototype.p9 = function () {
        return this.qo;
    };
    RelativeStrengthIndexIndicator.prototype.qi = function (a) {
        this.qo = a;
    };
    RelativeStrengthIndexIndicator.$t = markType(RelativeStrengthIndexIndicator, 'RelativeStrengthIndexIndicator', StrategyBasedIndicator.$);
    RelativeStrengthIndexIndicator.qp = StrategyBasedIndicator.ql(14, RelativeStrengthIndexIndicator.$);
    return RelativeStrengthIndexIndicator;
}(StrategyBasedIndicator));
export { RelativeStrengthIndexIndicator };
